netscript-ipfilter_5.5.3_all.deb


Advertisement

Description

netscript-ipfilter - Linux 2.6/3.x iptables management system

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename netscript-ipfilter_5.5.3_all.deb
Package name netscript-ipfilter
Package version 5.5.3
Package release -
Package architecture all
Package type deb
Category net
Homepage -
License -
Maintainer Matthew Grant <matt@mattgrant.net.nz>
Download size 27.49 KB
Installed size 103.00 KB
This is a cut down version of netscript-2.4, which is just the ipfilter
iptables/ip6tables management implementation.  This provides iptables and
ip6tables management with a cyclic backup history, via iptables-restore
and iptables-save.
This is designed to work with ifupdown, and is better than iptables-persistent
as you can roll back filter changes if you have made a mistake.

Alternatives

Package Version Architecture Repository
netscript-ipfilter_5.5.3_all.deb 5.5.3 all Debian Main
netscript-ipfilter - - -

Requires

Name Value
bash >= 2.03
iptables -
lsb-base -
netbase -

Provides

Name Value
netscript-ipfilter -

Conflicts

Name Value
netscript-2.4 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package netscript-ipfilter_5.5.3_all.deb
Source Package netscript-2.4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install netscript-ipfilter deb package:
    # sudo apt-get install netscript-ipfilter

Files

Path
/etc/init.d/netscript
/etc/netscript/README
/etc/netscript/ipfilter.conf
/etc/netscript/network.conf
/lib/systemd/system/netscript.service
/sbin/netscript
/usr/share/doc/netscript-ipfilter/NEWS.Debian.gz
/usr/share/doc/netscript-ipfilter/changelog.gz
/usr/share/doc/netscript-ipfilter/copyright
/usr/share/lintian/overrides/netscript-ipfilter
/usr/share/man/man5/ipfilter.conf.5.gz
/usr/share/man/man5/netscript-ipfilter.conf.5.gz
/usr/share/man/man5/network.conf.5.gz
/usr/share/man/man8/netscript-ipfilter.8.gz
/usr/share/man/man8/netscript.8.gz

Changelog

2018-01-18 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.5.3) unstable; urgency=medium
* Depend on iproute2, not iproute (Closes: #753714)
* Bump standards version to 4.1.3
* Remove obsolete Build-Dep on dh-systemd
2017-07-08 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.5.2) unstable; urgency=medium
* Fix sub-string interface name clashes.
2016-12-27 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.5.1) unstable; urgency=medium
* Don't hotplug bridges.  Works around a kernel race.
* Add note to not default disable IPv6 for Openstack.
2016-12-15 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.5.0) unstable; urgency=medium
* Add /etc/netscript/network.conf.d
* Add proper systemd support, and fixes
* Update changelog for 5.4.12~2.gbp2c652b release
* Update gbp.conf
* Convert ifupdown hotplug script for netscript
* Update changelog for 5.4.12~3.gbp183f7f release
* Add depends on lsb-base for init scripts
* Update changelog for 5.4.12~4.gbp7a776d release
* Update debhelper to v6 and deb standards to 3.9.8
* Update changelog for 5.4.12~5.gbpa05941 release
* Update debhelper compat version to 10.
* Update changelog for 5.4.12~6.gbpe6fab5 release
* Fix network.conf.d include line in network.conf
* Convert inbrdr outbrdr to use ICMP RETURN chain.
* Update changelog for 5.4.12~7.gbpd5fe80 release
* Update changelog for 5.4.12~8.gbp323004 release
* Add IPV6 DAD wait address settle time on boot.
* Fix one line type in ipf6_icmphost exec function.
* Make Interface functions handle - in dev names
* Fix icmpv6 protocol psecfication in outbrdr
* More IPv6 CIMP filter fixes for inbrdr and outbrdr
* Fix IPv6 ipf6_log() icmpv6 rule
* Update changelog for 5.4.12~15.gbpc73267 release
2015-10-11 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.4.11) unstable; urgency=medium
* Fix iptables filters not bening loaded with kernel versions 4.x - 9.x
* Update standards version to 3.9.6
2015-01-28 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.4.10) unstable; urgency=medium
* Fix /etc/init.d dependency loop with ifupdown (Closes: #717871)
* Add sysvinit/insserv back in
* Add /etc/iniserv.conf.d /etc/inserv.conf.d segment to correctly
set up boot dependencies for above.
* Update changelog for 5.4.10 release
2014-12-23 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.4.8) unstable; urgency=medium
* Remove sysvint/inserv support for package. (Closes: #771871)
Revert totally removing ifupdown emulation/Provides as this breaks too
many things.  This just removes the dependency loop in /etc/init.d files 
which is unfixable.
2014-12-22 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.4.7) unstable; urgency=medium
* Convert '-' in interface names to '_' (Closes: #773772)
2014-12-22 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.4.6) unstable; urgency=medium
* Remove ifupdown emulation
2014-07-19 - Matthew Grant <matt@mattgrant.net.nz>
netscript-2.4 (5.4.5) unstable; urgency=medium
* Add dependency for iproute2|iproute (for backport)
(Closes: #705169)

See Also

Package Description
netsed_1.2-3_i386.deb network packet-altering stream editor
netselect-apt_0.3.ds1-28_all.deb speed tester for choosing a fast Debian mirror
netselect_0.3.ds1-28+b1_i386.deb speed tester for choosing a fast network server
netsend_0.0~svnr250-1.2+b1_i386.deb a speedy filetransfer and network diagnostic program
netsniff-ng_0.6.5-1_i386.deb Linux network packet sniffer toolkit
netstat-nat_1.4.10-3+b1_i386.deb tool that display NAT connections
netstress_1.2.0-6_i386.deb utility to stress and benchmark networks
nettle-bin_3.4.1-1_i386.deb low level cryptographic library (binary tools)
nettle-dev_3.4.1-1_i386.deb low level cryptographic library (development files)
nettoe_1.5.1-2+b2_i386.deb networked version of Tic Tac Toe (3x3 Grid) for the console
netwag-doc_5.39.0-1.3_all.deb documentation for netwag frontend
netwag_5.39.0-1.3_all.deb graphical frontend for netwox
network-manager-config-connectivity-debian_1.14.6-2_all.deb NetworkManager configuration to enable connectivity checking
network-manager-dev_1.14.6-2_i386.deb network management framework (development files)
network-manager-fortisslvpn-gnome_1.2.8-2_i386.deb network management framework (Fortinet SSLVPN plugin GNOME GUI)
Advertisement
Advertisement